Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161074 - KDE packages should use the --enable-new-ldflags ./configure option
Summary: KDE packages should use the --enable-new-ldflags ./configure option
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kdelibs
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-20 13:22 UTC by Szombathelyi György
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-01-18 15:20:01 UTC


Attachments (Terms of Use)

Description Szombathelyi György 2005-06-20 13:22:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; hu-HU; rv:1.7.6) Gecko/20050318 Firefox/1.0.2

Description of problem:
KDE packages should use the --enable-new-ldflags ./configure option. This triggers the using of --enable-new-dtags and the --as-needed flag in the linker, which should filter out indirectly linked libraries from the NEEDED section of the ELF headers. The result is: much less dependencies in the packages. E.g the kdeadmin module really should not depend on libart_lgpl and there are many more examples.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Query the dependencies of a KDE package
2. It's much more than it should be
3.
  

Additional info:

Comment 1 Ngo Than 2006-01-18 15:20:01 UTC
it's fixed in rawhide. Thanks for your report.


Note You need to log in before you can comment on or make changes to this bug.